#
# spec file for package purple-lurch
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   lurch
Name:           purple-lurch
Version:        0.6.7
Release:        lp151.2.3
Summary:        OMEMO for libpurple
License:        GPL-3.0-only
Group:          Productivity/Networking/Instant Messenger
URL:            https://github.com/gkdr/lurch
Source:         https://github.com/gkdr/lurch/releases/download/v%{version}/%{_name}-%{version}-src.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libgcrypt-devel
BuildRequires:  libpurple
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(mxml)
BuildRequires:  pkgconfig(purple)
BuildRequires:  pkgconfig(sqlite3)

%description
This plugin brings Double Ratchet to libpurple applications such as
Pidgin by implementing OMEMO.

%package -n libpurple-plugin-%{_name}
Summary:        OMEMO for libpurple
Group:          Productivity/Networking/Instant Messenger
Recommends:     libpurple-plugin-carbons
Enhances:       libpurple

%description -n libpurple-plugin-%{_name}
This plugin brings Double Ratchet to libpurple applications such as
Pidgin by implementing OMEMO.

%prep
%setup -q -c

%build
make %{?_smp_mflags} V=1 \
  CPPFLAGS="%{optflags}"

%install
%make_install \
  CPPFLAGS="%{optflags}"

%files -n libpurple-plugin-%{_name}
%if 0%{?suse_version} >= 1500
%license LICENSE
%else
%doc LICENSE
%endif
%doc README.md
%{_libdir}/purple-2/%{_name}.so

%changelog
* Tue May  8 2018 sor.alexei@meowr.ru
- Update to version 0.6.7:
  * Fix not freeing account list after plugin load.
  * Ignore OMEMO messsage in MUCs if sender is not present.
  * Revert to EME instead of additional body.
  * Remove the magic number for proper enum.
  * Set the correct conversation type when decrypting incoming own
    message to others.
  * Decrypt messages from own account in MUCs.
  * Fix but also disable axc log output.
  * The MUC handling has been rewritten.
  * Destroy the message after exporting.
  * Add some debug output.
* Thu Mar 15 2018 sor.alexei@meowr.ru
- Update to version 0.6.6:
  * Skip adding recipient's devices if addressed to oneself.
  * Fix not initialising a pointer to NULL.
  * Allow to override all *FLAGS.
  * Allow to build a static library.
  * Report AXC errors through purple_debug.
  * Update submodules to current versions.
  * Fix warnings.
  * Some clean up.
- Remove the libjabber.so discoverability workaround: not needed
  anymore.
- Remove the rpmlintrc file: not really needed.
- Add CPPFLAGS
* Thu Apr  6 2017 9@cirno.systems
- 0.6.5
  * strips <html> tags to prevent message leakage
  * authentication tag is now appended to the key, i.e. is part
    of the data which is encrypted with the double ratchet session
  * changes message handler priorities so that this plugin is one
    of the last to process them, and thus fixes the incompatibility
    with the XMPP Receipts plugin
  * fixes display of (OMEMO) when switching from non-OMEMO
    conversations
* Fri Mar 31 2017 9@cirno.systems
- Initial commit, 0.6.4
